> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CONTROLLER.DEXSCR.GET_TRENDING.SUMMARY

> DexScreener のトレンドメタカテゴリを取得します



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/dexscr/{chain}/trending
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/dexscr/{chain}/trending:
    get:
      tags:
        - DexScreener
      summary: DexScreener - トレンド
      description: DexScreener のトレンドメタカテゴリを取得します
      operationId: get.dexscr.trending
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: limit
          in: query
          description: 返却する結果の件数
          required: false
          schema:
            type: integer
            format: int64
            default: 20
            maximum: 100
            minimum: 1
          style: form
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DexscrTrendingMeta'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrTrendingMeta:
      type: object
      required:
        - slug
      properties:
        description:
          type:
            - string
            - 'null'
          description: メタカテゴリの説明
        iconType:
          type:
            - string
            - 'null'
          description: 'アイコンタイプ（例: image）'
        iconValue:
          type:
            - string
            - 'null'
          description: アイコン URL または識別値
        liquidity:
          type:
            - number
            - 'null'
          format: double
          description: 合計流動性（USD）
        marketCap:
          type:
            - number
            - 'null'
          format: double
          description: 合計時価総額（USD）
        marketCapChange:
          description: 期間別の時価総額変化率（JSON 形式）
        name:
          type:
            - string
            - 'null'
          description: メタカテゴリの表示名
        slug:
          type: string
          description: メタカテゴリの slug 識別子
          example: ai
        tokenCount:
          type:
            - integer
            - 'null'
          format: int64
          description: このメタカテゴリ内のトークン数
        volume:
          type:
            - number
            - 'null'
          format: double
          description: 合計取引高（USD）
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````